
Redmine - Patch #20732

MailHandler: Select project by subaddress (redmine+project@example.com)

2015-09-13 08:31 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.2.0   

Description

This patch adds project selection by subaddress to the MailHandler.

Basically the same feature that's shown at MailhandlerSubAddress, but usable for all ways to receive mail, including the web service.

Related issues:

Related to Redmine - Patch #28026: "project_from_subbaddress" option is not l... Closed

Related to Redmine - Patch #8257: Proposal for supporting project-specific wi... Closed 2011-04-30

Related to Redmine - Feature #13742: Multi project for email incoming Closed

Related to Redmine - Feature #2768: Ability to Pass The project id for Issue ... Closed 2009-02-17

Related to Redmine - Feature #2689: email address of the project Closed 2009-02-06

Has duplicate Redmine - Patch #8905: Support identify project by email address Closed 2011-07-26

Associated revisions

Revision 14687 - 2015-10-17 12:03 - Jean-Philippe Lang

MailHandler: Select project by subaddress (redmine+project@example.com) (#20732).

Patch by Jens Krämer.

Revision 14690 - 2015-10-19 18:56 - Jean-Philippe Lang

Makes project selection by subaddress optional (#20732).

History

#1 - 2015-10-13 05:22 - Toshi MARUYAMA

- Target version set to 3.2.0

#2 - 2015-10-19 18:58 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

I've made it optional in r14690. A new command line option lets you define which address will be searched for a subaddress in receivers.

Example: --project-from-subaddress redmine@example.com

#3 - 2016-12-25 18:34 - Go MAEDA

- Has duplicate Patch #8905: Support identify project by email address added

#4 - 2018-01-20 06:09 - Go MAEDA

- Related to Patch #28026: "project_from_subbaddress" option is not listed in the help of "rake redmine:email:receive_imap" added

#5 - 2018-09-15 09:14 - Go MAEDA

- Related to Patch #8257: Proposal for supporting project-specific wildcard addresses in default mail handler added

#6 - 2018-09-15 09:25 - Go MAEDA

- Related to Feature #13742: Multi project for email incoming added

#7 - 2019-02-09 06:48 - Go MAEDA
- Related to Feature #2768: Ability to Pass The project id for Issue Creation by email added

#8 - 2020-02-29 13:49 - Go MAEDA

- Related to Feature #2689: email address of the project added
